org.eclipse.rdf4j.query.algebra

## Class ProjectionElemList

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.ProjectionElemList

- All Implemented Interfaces:
    Serializable, Cloneable, GraphPatternGroupable, QueryModelNode

      public class ProjectionElemList
      extends AbstractQueryModelNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectionElemList()`
    `ProjectionElemList(Iterable<ProjectionElem> elements)`
    `ProjectionElemList(ProjectionElem... elements)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addElement(ProjectionElem pe)`
    `void` | `addElements(Iterable<ProjectionElem> elements)`
    `void` | `addElements(ProjectionElem... elements)`
    `ProjectionElemList` | `clone()` Returns a (deep) clone of this query model node.
    `boolean` | `equals(Object other)` Returns `true` if this query model node and its children are recursively equal to `o` and its children.
    `List<ProjectionElem>` | `getElements()`
    `Set<String>` | `getTargetNames()`
    `Set<String>` | `getTargetNamesFor(Collection<String> sourceNames)`
    `int` | `hashCode()`
    `void` | `replaceChildNode(QueryModelNode current, QueryModelNode replacement)` Default implementation of `QueryModelNode.replaceChildNode(QueryModelNode, QueryModelNode)` that throws an `IllegalArgumentException` indicating that `current` is not a child node of this node.
    `void` | `setElements(List<ProjectionElem> elements)`
    `<X extends Exception> void` | `visit(QueryModelVisitor<X> visitor)` Visits this node.
    `<X extends Exception> void` | `visitChildren(QueryModelVisitor<X> visitor)` Dummy implementation of `QueryModelNode.visitChildren(org.eclipse.rdf4j.query.algebra.QueryModelVisitor<X>)` that does nothing.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getParentNode, getSignature, isGraphPatternGroup, nullEquals, replaceNodeInList, replaceWith, setGraphPatternGroup, setParentNode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProjectionElemList

          public ProjectionElemList()

    - #### ProjectionElemList

          public ProjectionElemList(ProjectionElem... elements)

    - #### ProjectionElemList

          public ProjectionElemList(Iterable<ProjectionElem> elements)

  - ### Method Detail

    - #### getElements

          public List<ProjectionElem> getElements()

    - #### setElements

          public void setElements(List<ProjectionElem> elements)

    - #### addElements

          public void addElements(ProjectionElem... elements)

    - #### addElements

          public void addElements(Iterable<ProjectionElem> elements)

    - #### addElement

          public void addElement(ProjectionElem pe)

    - #### getTargetNames

          public Set<String> getTargetNames()

    - #### getTargetNamesFor

          public Set<String> getTargetNamesFor(Collection<String> sourceNames)

    - #### visit

          public <X extends Exception> void visit(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Throws:
        `X extends Exception`

    - #### visitChildren

          public <X extends Exception> void visitChildren(QueryModelVisitor<X> visitor)
                                                   throws X extends Exception

      Description copied from class: `AbstractQueryModelNode`
      Dummy implementation of `QueryModelNode.visitChildren(org.eclipse.rdf4j.query.algebra.QueryModelVisitor<X>)` that does nothing. Subclasses should override this method when they have child nodes.
      Specified by:
        `visitChildren` in interface `QueryModelNode`
      Overrides:
        `visitChildren` in class `AbstractQueryModelNode`
      Throws:
        `X extends Exception`

    - #### replaceChildNode

          public void replaceChildNode(QueryModelNode current,
                                       QueryModelNode replacement)

      Description copied from class: `AbstractQueryModelNode`
      Default implementation of `QueryModelNode.replaceChildNode(QueryModelNode, QueryModelNode)` that throws an `IllegalArgumentException` indicating that `current` is not a child node of this node.
      Specified by:
        `replaceChildNode` in interface `QueryModelNode`
      Overrides:
        `replaceChildNode` in class `AbstractQueryModelNode`
      Parameters:
        `current` - The current child node.
        `replacement` - The new child node.

    - #### equals

          public boolean equals(Object other)

      Description copied from interface: `QueryModelNode`
      Returns `true` if this query model node and its children are recursively equal to `o` and its children.
      Specified by:
        `equals` in interface `QueryModelNode`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### clone

          public ProjectionElemList clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Overrides:
        `clone` in class `AbstractQueryModelNode`
      Returns:
        A deep clone of this query model node.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.